import java.rmi.*; 
import java.rmi.server.*; 

// Implementation of Remote Class

public class HelloImpl extends UnicastRemoteObject implements HelloInterface { 

   private String message; 

   public HelloImpl(String m) throws RemoteException { 
	message = m; 
   } 

   public String say() throws RemoteException { 
	return message; 
   } 


   public static void main (String[] argv) { 

      if( System.getSecurityManager() == null ) {
	System.setSecurityManager(new RMISecurityManager());
      }

      try { 

	Naming.rebind ("//localhost/Hello", new HelloImpl("Hello, world!")); 
	System.out.println ("Server is up and running"); 
      } 
      catch (Exception e) { 
	System.out.println(e); 
      } 
   } 

} 
