import java.rmi.*; 
import java.rmi.server.*; 

// Implementation of Remote Class

public class HelloImpl extends UnicastRemoteObject implements HelloInterface { 

   private String message; 
   private HelloClientInterface client; 

   public HelloImpl(String m) throws RemoteException { 
	message = m; 
   } 

   public String say() throws RemoteException { 
	return message; 
   } 

   public void Register(HelloClientInterface c) {
	client = c;

	try {
		System.out.println(client.answer());
	}
	catch (Exception e) {}
   }


   public static void main (String[] argv) { 

      try { 

	Naming.rebind ("//localhost/Hello", new HelloImpl("Hello, world!")); 
	System.out.println ("Server is up and running"); 
      } 
      catch (Exception e) { 
	System.out.println(e); 
      } 
   } 

} 
