import java.rmi.*; 
import java.rmi.server.*; 
import java.io.Serializable;


public class HelloImpl extends UnicastRemoteObject implements HelloInterface { 

   private String message; 

   public HelloImpl() throws RemoteException { 
	message = "Hello World. Testing dynamic classes";
   } 

   public String say() throws RemoteException { 
	return message; 
   } 


   public static void main (String[] argv) { 

      System.setSecurityManager(new RMISecurityManager());

      try { 

	Naming.rebind ("//localhost/Hello", new HelloImpl());
	System.out.println ("Server is up and running"); 
      } 
      catch (Exception e) { 
	System.out.println(e); 
      } 
   } 

} 
